      integer display_characteristics(2),hi_plane
      real*4 table_rouge(0:45000)
     &      ,table_vert(0:45000)
     &      ,table_bleu(0:45000)
     &      ,couleur_courante(3),colfond(3)
      character*256 bufferout
      character*132 pathrelatif,filtre
      character*80 nomfichpost,nomprogramme,fichtmp,nomdulogo
      character*32 chomedir
      character*16 couleur_fond
      character*4  gris_fond,mouse(5)
      logical*4    sauve_graphic,gardefou,accentsok,albion,lebrowser
     &            ,ilestlagifsicle
      logical*1    couleurtrouvee(0:45000)
      integer*2    rect_clip(0:1,0:3)
c
c
      common /group1/ display_characteristics,hi_plane,itypterm
     &               ,ixposcurs,iyposcurs,ixposcurs_root,iyposcurs_root
     &               ,iprox0,iproy0,iepais_ligne,ibacking
     &               ,igarde_taille_fen,nbpixx,nbpixy,nbpixx2,nbpixy2
     &               ,icurseur_courant,imix_courant,idebtable,ipseudo
     &               ,i2dfond,iprogre,icoul_questions,ipapercolor
     &               ,iaunlogo,itranslogo,lnomdulogo
c
      common / bufferise  / bufferout,iptbuf
      common / souricette / mouse
      common / interface  / facteur_en_x,facteur_en_y
     &                     ,origine_x,origine_y
     &                     ,taille_x,taille_y,pixx,pixy,xloosetime
     &                     ,x0clipmax,x1clipmax,y0clipmax,y1clipmax
     &                     ,x0clipmed,x1clipmed,y0clipmed,y1clipmed,zero
      common / markers    / i2box,j2box,marqueur_courant,icoul_courante
     &                     ,icoul_pend,icoul_eff,icoul_texte
      common / postscript / ilaser_file,ipostscript,ifich_laser,isgr
     &                     ,nbcouleurs,ifonte_courante_ps
     &                     ,ifonte_courante,ifonte_sav
      common / divers_caract / nomfichpost,nomprogramme,fichtmp
     &                        ,nomdulogo,chomedir,couleur_fond,gris_fond
      common / divers_post_i / lonfichpost,lprog,lprogcourt,lftmp
     &                        ,lgris_fond,lcouleur_fond,ityp_ligne
     &                        ,ityp_ligne_pend,icoulfond,nloosetime
     &                        ,lhomedir
      common / divers_post_r / table_rouge,table_vert,table_bleu
     &                        ,couleur_courante,colfond
     &                        ,xcourant,ycourant,angle_texte
     &                        ,taille_texte,taille_mark,epais_ligne
     &                        ,epais_ligne_pend
     &                        ,x0_clip ,x1_clip ,y0_clip ,y1_clip
     &                        ,x0_clip2,x1_clip2,y0_clip2,y1_clip2
      common / leslogical  / sauve_graphic,gardefou,accentsok,albion
     &                      ,lebrowser,ilestlagifsicle
      common / specialmarc2/ xdecalmarc,ydecalmarc,facteurmarc
      common / zone_a_clicker / ix0_zone_click ,ix1_zone_click
     &                         ,iy0_zone_click ,iy1_zone_click
     &                         ,ix0_zone_click2,ix1_zone_click2
     &                         ,iy0_zone_click2,iy1_zone_click2
      parameter(nfontes_de_base=16)
      common / fontfont / itrouve(6*nfontes_de_base),lapremierefois
      common / sauve_la_taille / facteur_en_x_sauve,facteur_en_y_sauve
     &                          ,origine_x_sauve,origine_y_sauve
c
      common / directcolor / nbcoldebase,nbcoldebase2,nbsoustable
     &                      ,sombremini
      common / directlogic / couleurtrouvee
      common / menuspopupi / isizecar0,ihautcar0,ibasecar0,ibordpop
     &                      ,ibordbrow,idyliste,ilonglistey,ishiftliste
     &                      ,ixbrow,iybrow,ilarbrow,ihaubrow,ilarstrfen
     &                      ,idfleche,ixfleche,iyfleche1,iyfleche2
     &                      ,longpath,lfiltre,nbfaffiche,ipropaffiche
     &                      ,nbaffichebrow,ioptliste,nokcancel
     &                      ,iyascen1,iyascen2,iyascen3,iyascen4
      common / menuspopupc / pathrelatif,filtre
      common / clicliclip /  ix_clip_origine,iy_clip_origine,rect_clip
      common / sauveposition / ixpos,iypos
     &                        ,ixpos0,iypos0,ixpos1,iypos1,ixpos2,iypos2
     &                        ,ibordx,ibordy,napply
